org.yaml.snakeyaml.introspector

## Enum BeanAccess

- java.lang.Object
- - java.lang.Enum<BeanAccess>
  - - org.yaml.snakeyaml.introspector.BeanAccess

All Implemented Interfaces:
  Serializable, Comparable<BeanAccess>

    public enum BeanAccess
    extends Enum<BeanAccess>

Control instance variables.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT` use JavaBean properties and public fields
`FIELD` use all declared fields (including inherited)
`PROPERTY` reserved

### Method Summary

Methods
`static BeanAccess` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BeanAccess[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final BeanAccess DEFAULT

use JavaBean properties and public fields

#### FIELD

    public static final BeanAccess FIELD

use all declared fields (including inherited)

#### PROPERTY

    public static final BeanAccess PROPERTY

reserved

### Method Detail

#### values

    public static BeanAccess[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BeanAccess c : BeanAccess.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BeanAccess valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null